package com.kingdee.eas.custom.esign;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractFieldMappingEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractFieldMappingEntryInfo()
    {
        this("id");
    }
    protected AbstractFieldMappingEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 分录 's 单据头 property 
     */
    public com.kingdee.eas.custom.esign.FieldMappingInfo getParent()
    {
        return (com.kingdee.eas.custom.esign.FieldMappingInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.esign.FieldMappingInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 分录 's e模版 property 
     */
    public com.kingdee.eas.custom.esign.ESignTemplateFileEntryInfo getTemplate()
    {
        return (com.kingdee.eas.custom.esign.ESignTemplateFileEntryInfo)get("template");
    }
    public void setTemplate(com.kingdee.eas.custom.esign.ESignTemplateFileEntryInfo item)
    {
        put("template", item);
    }
    /**
     * Object: 分录 's e签宝字段 property 
     */
    public com.kingdee.eas.custom.esign.ESignTemplateFileEntryFieldInfo getEField()
    {
        return (com.kingdee.eas.custom.esign.ESignTemplateFileEntryFieldInfo)get("eField");
    }
    public void setEField(com.kingdee.eas.custom.esign.ESignTemplateFileEntryFieldInfo item)
    {
        put("eField", item);
    }
    /**
     * Object: 分录 's 数据源字段 property 
     */
    public com.kingdee.eas.custom.entryconfig.DataConfigSelectFieldEntryInfo getDataSourceField()
    {
        return (com.kingdee.eas.custom.entryconfig.DataConfigSelectFieldEntryInfo)get("dataSourceField");
    }
    public void setDataSourceField(com.kingdee.eas.custom.entryconfig.DataConfigSelectFieldEntryInfo item)
    {
        put("dataSourceField", item);
    }
    /**
     * Object:分录's e签宝标识property 
     */
    public String getEFieldMark()
    {
        return getString("eFieldMark");
    }
    public void setEFieldMark(String item)
    {
        setString("eFieldMark", item);
    }
    /**
     * Object:分录's e签宝别名property 
     */
    public String getEFieldName()
    {
        return getString("eFieldName");
    }
    public void setEFieldName(String item)
    {
        setString("eFieldName", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("C8BC376D");
    }
}